﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.86
@EndOfDesignText@

Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Public pnlDrawingCanvas As B4XView 'at layout
	Public AppDrawingPnl As B4XView 'at layout
	Private MenuBar1 As B4XView 'at layout
End Sub

Public Sub Initialize

End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	If AppDashUIcodes.recentPageID = "" Then AppDashUIcodes.recentPageID = "AppDashUI 1"
	UIThemes.ApplyTheme(Me, UIThemes.frmTheme)
	UIThemes.ApplyStyle(Me, UIThemes.frmStyle)
	Log("AppDashUI2 B4XPage_Created / AppDashUIcodes.recentPageID: " & AppDashUIcodes.recentPageID & " / " & UIThemes.frmTheme & ", " & UIThemes.frmStyle )
	Root = Root1
	AppDashUIcodes.InitializeFormUtils(Me)
	B4XPages.SetTitle(Me, "AppDashUI Dashboard - Draw Something")
	Root.LoadLayout("AppDashUIpage2")
	#if B4A
	B4XPages.AddMenuItem(Me, "Random Background")
	#End If
	AppDashUIcodes.UpdateCvsFromBitmap(pnlDrawingCanvas)
	AppDashUIcodes.LoadPageSettings("AppDashUI 2", "AppDashUI 2 B4XPage_Created")
End Sub

Private Sub B4XPage_Appear
	UIThemes.ApplyTheme(Me, UIThemes.frmTheme)
	UIThemes.ApplyStyle(Me, UIThemes.frmStyle)
	Log("AppDashUI2 B4XPage_Appear / AppDashUIcodes.recentPageID: " & AppDashUIcodes.recentPageID & " / " & UIThemes.frmTheme & ", " & UIThemes.frmStyle )
	#if B4A
	Sleep(0)
	B4XPages.GetManager.ActionBar.RunMethod("setDisplayHomeAsUpEnabled", Array(True))
	Dim bd As BitmapDrawable
	bd.Initialize(HamburgerIcon)
	B4XPages.GetManager.ActionBar.RunMethod("setHomeAsUpIndicator", Array(bd))
	#End If
	AppDashUIcodes.UpdateImageVwFrmCvs(pnlDrawingCanvas)
	AppDashUIcodes.LoadPageSettings("AppDashUI 2", "AppDashUI 2 B4XPage_Appear")
End Sub

Private Sub B4XPage_Disappear
	#If B4J
	AppDashUIcodes.recentPageID = "AppDashUI 2"
	AppDashUIcodes.SavePageSettings(AppDashUIcodes.recentPageID)
	#End If

	#If B4A Or B4i
	B4XPages.GetManager.ActionBar.RunMethod("setHomeAsUpIndicator", Array(0))
	#End If
End Sub

Private Sub pnlDrawingCanvas_Touch (Action As Int, X As Float, Y As Float)
	If Action <> pnlDrawingCanvas.TOUCH_ACTION_MOVE_NOTOUCH Then 
		AppDashUIcodes.cvsDrawEdit.DrawCircle(X, Y, 10dip, Rnd(xui.Color_Black, xui.Color_White), True, 0)
		AppDashUIcodes.cvsDrawEdit.Invalidate
	End If
End Sub

Private Sub btnClear_Click
	ClearImage
End Sub

Public Sub ClearImage
	If pnlDrawingCanvas.IsInitialized Then
		AppDashUIcodes.cvsDrawEdit.ClearRect(AppDashUIcodes.cvsDrawEdit.TargetRect)
		AppDashUIcodes.cvsDrawEdit.Invalidate
	End If
End Sub

Private Sub btnSet_Click
	AppDashUIcodes.recentPageID = "AppDashUI 2"
	AppDashUIcodes.SavePageBG
	B4XPages.ShowPageAndRemovePreviousPages("AppDashUI 1")
End Sub

Private Sub B4XPage_Resize (Width As Int, Height As Int)
	AppDashUIcodes.cvsDrawEdit.Resize(Width, Height)
	AppDashUIcodes.UpdateCanvasPnlBGcolor(AppDashUIcodes.cvsDrawEdit)
End Sub

Private Sub B4XPage_MenuClick (Tag As String)  
	If Tag = "Random Background" Then
		AppDashUIcodes.panelBGColor = Rnd(xui.Color_Black, xui.Color_White)
		AppDashUIcodes.UpdateCanvasPnlBGcolor(AppDashUIcodes.cvsDrawEdit)
	Else If Tag = "Go Back" Then
		AppDashUIcodes.recentPageID = "AppDashUI 2"
		B4XPages.ShowPageAndRemovePreviousPages("AppDashUI 1")
	End If
End Sub

#if B4J
'Delegate the native menu action to B4XPage_MenuClick.
Private Sub MenuBar1_Action
	Dim mi As MenuItem = Sender
	Dim t As String
	If mi.Tag = Null Then t = mi.Text.Replace("_", "") Else t = mi.Tag
	B4XPage_MenuClick(t)
End Sub
#End If

Private Sub B4XPage_CloseRequest As ResumableSub
	#If B4J
	AppDashUIcodes.recentPageID = "AppDashUI 2"
	AppDashUIcodes.SavePageSettings(AppDashUIcodes.recentPageID)
	#End If

	#If B4A Or B4i
	#End If

	Return True
End Sub

'Private Sub AppDrawingPnl_MousePressed (EventData As MouseEvent)
'	AppDashUIcodes.MousePressed (Me, EventData)
'End Sub
'
'Private Sub AppDrawingPnl_MouseDragged (EventData As MouseEvent)
'	AppDashUIcodes.MouseDragged (Me, EventData)
'End Sub

Private Sub MenuBar1_MousePressed (EventData As MouseEvent)
	AppDashUIcodes.MousePressed (Me, EventData)
End Sub

Private Sub MenuBar1_MouseDragged (EventData As MouseEvent)
	AppDashUIcodes.MouseDragged (Me, EventData)
End Sub
